org.apache.synapse.transport.vfs

## Class PollTableEntry

- java.lang.Object
- - org.apache.axis2.transport.base.ProtocolEndpoint
  - - org.apache.axis2.transport.base.AbstractPollTableEntry
    - - org.apache.synapse.transport.vfs.PollTableEntry

-     public class PollTableEntry
      extends org.apache.axis2.transport.base.AbstractPollTableEntry

  Holds information about an entry in the VFS transport poll table used by the VFS Transport Listener

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DELETE`
    `static int` | `MOVE`
    `static int` | `NONE`

    - ### Fields inherited from class org.apache.axis2.transport.base.AbstractPollTableEntry

      `FAILED, SUCCSESSFUL, WITH_ERRORS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PollTableEntry(boolean fileLocking)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getActionAfterErrors()`
    `int` | `getActionAfterFailure()`
    `int` | `getActionAfterProcess()`
    `Boolean` | `getAutoLockRelease()`
    `Long` | `getAutoLockReleaseInterval()`
    `Boolean` | `getAutoLockReleaseSameNode()`
    `String` | `getContentType()`
    `Long` | `getDistributedLockTimeout()`
    `org.apache.axis2.addressing.EndpointReference[]` | `getEndpointReferences(org.apache.axis2.description.AxisService service, String ip)`
    `String` | `getFailedRecordFileDestination()`
    `String` | `getFailedRecordFileName()`
    `String` | `getFailedRecordTimestampFormat()`
    `String` | `getFileNamePattern()`
    `Integer` | `getFileProcessingCount()`
    `Integer` | `getFileProcessingInterval()`
    `double` | `getFileSizeLimit()`
    `String` | `getFileSortParam()`
    `String` | `getFileURI()`
    `int` | `getMaxRetryCount()`
    `String` | `getMoveAfterErrors()`
    `String` | `getMoveAfterFailure()`
    `String` | `getMoveAfterMoveFailure()`
    `String` | `getMoveAfterProcess()`
    `DateFormat` | `getMoveTimestampFormat()`
    `int` | `getNextRetryDuration()`
    `org.apache.axis2.description.ParameterInclude` | `getParams()`
    `long` | `getReconnectTimeout()`
    `String` | `getReplyFileURI()`
    `String` | `getSubfolderTimestamp()`
    `Map<String,String>` | `getVfsSchemeProperties()`
    `boolean` | `isCanceled()`
    `boolean` | `isClusterAware()`
    `boolean` | `isDistributedLock()`
    `boolean` | `isFileLockingEnabled()`
    `boolean` | `isFileSortAscending()`
    `boolean` | `isForceCreateFolder()`
    `boolean` | `isResolveHostsDynamically()`
    `boolean` | `isStreaming()`
    `boolean` | `loadConfiguration(org.apache.axis2.description.ParameterInclude params)`
    `void` | `setAutoLockRelease(Boolean autoLockRelease)`
    `void` | `setAutoLockReleaseInterval(Long autoLockReleaseInterval)`
    `void` | `setAutoLockReleaseSameNode(Boolean autoLockReleaseSameNode)`
    `void` | `setCanceled(boolean canceled)`
    `void` | `setClusterAware(boolean clusterAware)`
    `void` | `setFileSortAscending(boolean fileSortAscending)`
    `void` | `setFileSortParam(String fileSortParam)`
    `void` | `setForceCreateFolder(boolean forceCreateFolder)`
    `void` | `setSecureVaultProperties(Properties secureVaultProperties)`
    `void` | `setSubfolderTimestamp(String subfolderTimestamp)`
    `void` | `setVfsSchemeProperties(Map<String,String> vfsSchemeProperties)`

    - ### Methods inherited from class org.apache.axis2.transport.base.AbstractPollTableEntry

      `getLastPollState, getLastPollTime, getNextPollTime, getPollInterval, isConcurrentPollingAllowed, setConcurrentPollingAllowed, setLastPollState, setLastPollTime, setNextPollTime, setPollInterval`

    - ### Methods inherited from class org.apache.axis2.transport.base.ProtocolEndpoint

      `createMessageContext, getConfigurationContext, getDescription, getListener, getService, getServiceName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DELETE

          public static final int DELETE

      See Also:
        Constant Field Values

    - #### MOVE

          public static final int MOVE

      See Also:
        Constant Field Values

    - #### NONE

          public static final int NONE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PollTableEntry

          public PollTableEntry(boolean fileLocking)

  - ### Method Detail

    - #### getEndpointReferences

          public org.apache.axis2.addressing.EndpointReference[] getEndpointReferences(org.apache.axis2.description.AxisService service,
                                                                                       String ip)

      Specified by:
        `getEndpointReferences` in class `org.apache.axis2.transport.base.ProtocolEndpoint`

    - #### getFileURI

          public String getFileURI()

    - #### getReplyFileURI

          public String getReplyFileURI()

    - #### getFileNamePattern

          public String getFileNamePattern()

    - #### getContentType

          public String getContentType()

    - #### getActionAfterProcess

          public int getActionAfterProcess()

    - #### getActionAfterErrors

          public int getActionAfterErrors()

    - #### getActionAfterFailure

          public int getActionAfterFailure()

    - #### getMoveAfterProcess

          public String getMoveAfterProcess()

    - #### getMoveAfterMoveFailure

          public String getMoveAfterMoveFailure()

    - #### getNextRetryDuration

          public int getNextRetryDuration()

    - #### getFailedRecordFileName

          public String getFailedRecordFileName()

    - #### getFailedRecordFileDestination

          public String getFailedRecordFileDestination()

    - #### getFailedRecordTimestampFormat

          public String getFailedRecordTimestampFormat()

    - #### getFileProcessingInterval

          public Integer getFileProcessingInterval()

    - #### getFileProcessingCount

          public Integer getFileProcessingCount()

    - #### getMoveAfterErrors

          public String getMoveAfterErrors()

    - #### getMoveAfterFailure

          public String getMoveAfterFailure()

    - #### isStreaming

          public boolean isStreaming()

    - #### getMaxRetryCount

          public int getMaxRetryCount()

    - #### isFileLockingEnabled

          public boolean isFileLockingEnabled()

    - #### setSecureVaultProperties

          public void setSecureVaultProperties(Properties secureVaultProperties)

    - #### getFileSizeLimit

          public double getFileSizeLimit()

    - #### getReconnectTimeout

          public long getReconnectTimeout()

    - #### getMoveTimestampFormat

          public DateFormat getMoveTimestampFormat()

    - #### getAutoLockRelease

          public Boolean getAutoLockRelease()

      Returns:
        the autoLockRelease

    - #### setAutoLockRelease

          public void setAutoLockRelease(Boolean autoLockRelease)

      Parameters:
        `autoLockRelease` - the autoLockRelease to set

    - #### getAutoLockReleaseInterval

          public Long getAutoLockReleaseInterval()

      Returns:
        the autoLockReleaseInterval

    - #### setAutoLockReleaseInterval

          public void setAutoLockReleaseInterval(Long autoLockReleaseInterval)

      Parameters:
        `autoLockReleaseInterval` - the autoLockReleaseInterval to set

    - #### getAutoLockReleaseSameNode

          public Boolean getAutoLockReleaseSameNode()

      Returns:
        the autoLockReleaseSameNode

    - #### setAutoLockReleaseSameNode

          public void setAutoLockReleaseSameNode(Boolean autoLockReleaseSameNode)

      Parameters:
        `autoLockReleaseSameNode` - the autoLockReleaseSameNode to set

    - #### isDistributedLock

          public boolean isDistributedLock()

      Returns:
        the distributedLock

    - #### getFileSortParam

          public String getFileSortParam()

      Returns:
        the fileSortParam

    - #### setFileSortParam

          public void setFileSortParam(String fileSortParam)

      Parameters:
        `fileSortParam` - the fileSortParam to set

    - #### isFileSortAscending

          public boolean isFileSortAscending()

      Returns:
        the fileSortAscending

    - #### setFileSortAscending

          public void setFileSortAscending(boolean fileSortAscending)

      Parameters:
        `fileSortAscending` - the fileSortAscending to set

    - #### getDistributedLockTimeout

          public Long getDistributedLockTimeout()

      Returns:
        the distributedLockTimeout

    - #### isCanceled

          public boolean isCanceled()

    - #### setCanceled

          public void setCanceled(boolean canceled)

    - #### isClusterAware

          public boolean isClusterAware()

    - #### setClusterAware

          public void setClusterAware(boolean clusterAware)

    - #### isResolveHostsDynamically

          public boolean isResolveHostsDynamically()

    - #### getVfsSchemeProperties

          public Map<String,String> getVfsSchemeProperties()

    - #### setVfsSchemeProperties

          public void setVfsSchemeProperties(Map<String,String> vfsSchemeProperties)

    - #### getParams

          public org.apache.axis2.description.ParameterInclude getParams()

    - #### isForceCreateFolder

          public boolean isForceCreateFolder()

      Returns:
        the forceCreateFolder

    - #### setForceCreateFolder

          public void setForceCreateFolder(boolean forceCreateFolder)

      Parameters:
        `forceCreateFolder` - the forceCreateFolder to set

    - #### getSubfolderTimestamp

          public String getSubfolderTimestamp()

      Returns:
        the subfolderTimestamp

    - #### setSubfolderTimestamp

          public void setSubfolderTimestamp(String subfolderTimestamp)

      Parameters:
        `subfolderTimestamp` - the subfolderTimestamp to set

    - #### loadConfiguration

          public boolean loadConfiguration(org.apache.axis2.description.ParameterInclude params)
                                    throws org.apache.axis2.AxisFault

      Overrides:
        `loadConfiguration` in class `org.apache.axis2.transport.base.AbstractPollTableEntry`
      Throws:
        `org.apache.axis2.AxisFault`

Copyright © 2005–2023 Apache Software Foundation. All rights reserved.